FreeBSD : rubygem-bson -- DoS and possible injection (f5225b23-192d-11e5-a1cf-002590263bf5)

High Nessus Plugin ID 84329


The remote FreeBSD host is missing a security-related update.


Phill MV reports :

By submitting a specially crafted string to a service relying on the bson rubygem, an attacker may trigger denials of service or even inject data into victim's MongoDB instances.


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 84329

File Name: freebsd_pkg_f5225b23192d11e5a1cf002590263bf5.nasl

Version: 2.3

Type: local

Published: 2015/06/23

Modified: 2018/03/19

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P


Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:rubygem-bson, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2015/06/23

Vulnerability Publication Date: 2015/06/04

Reference Information

CVE: CVE-2015-4412